org.apache.ignite.internal.processors.platform.services

## Class PlatformServices

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.services.PlatformServices

All Implemented Interfaces:
  PlatformTarget

    public class PlatformServices
    extends PlatformAbstractTarget

Interop services.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformServices(PlatformContext platformCtx, IgniteServices services, boolean srvKeepBinary)` Ctor.

### Method Summary

Methods
`void` `cancel(String name)` Cancels service deployment.
`void` `cancelAll()` Cancels all deployed services.
`protected IgniteFuture` `currentFuture()` <inheritDoc />
`Object` `dotNetServiceProxy(String name, boolean sticky)` Gets a remote handle on the service.
`protected void` `processInObjectStreamOutStream(int type, Object arg, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`protected long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`protected void` `processInStreamOutStream(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`protected void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.
`PlatformServices` `withAsync()` Gets services with asynchronous mode enabled.
`PlatformServices` `withServerKeepBinary()` Gets services with server "keep binary" mode enabled.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, currentFutureWrapped, futureWriter, inObjectStreamOutStream, inStreamOutLong, inStreamOutObject, inStreamOutStream, listenFuture, listenFutureForOperation, outLong, outObject, outStream, platformContext, processInStreamOutObject, processOutLong, processOutObject, throwUnsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformServices

    public PlatformServices(PlatformContext platformCtx,
                    IgniteServices services,
                    boolean srvKeepBinary)

Ctor.

Parameters:
  `platformCtx` - Context.
  `services` - Services facade.
  `srvKeepBinary` - Server keep binary flag.

### Method Detail

#### withAsync

    public PlatformServices withAsync()

Gets services with asynchronous mode enabled.

Returns:
  Services with asynchronous mode enabled.

#### withServerKeepBinary

    public PlatformServices withServerKeepBinary()

Gets services with server "keep binary" mode enabled.

Returns:
  Services with server "keep binary" mode enabled.

#### cancel

    public void cancel(String name)

Cancels service deployment.

Parameters:
  `name` - Name of service to cancel.

#### cancelAll

    public void cancelAll()

Cancels all deployed services.

#### dotNetServiceProxy

    public Object dotNetServiceProxy(String name,
                            boolean sticky)

Gets a remote handle on the service.

Parameters:
  `name` - Service name.
  `sticky` - Whether or not Ignite should always contact the same remote service.
Returns:
  Either proxy over remote service or local service if it is deployed locally.

#### processInStreamOutLong

    protected long processInStreamOutLong(int type,
                              BinaryRawReaderEx reader)
                                   throws IgniteCheckedException

Process IN operation.

Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    protected void processInStreamOutStream(int type,
                                BinaryRawReaderEx reader,
                                BinaryRawWriterEx writer)
                                     throws IgniteCheckedException

Process IN-OUT operation.

Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInObjectStreamOutStream

    protected void processInObjectStreamOutStream(int type,
                                      Object arg,
                                      BinaryRawReaderEx reader,
                                      BinaryRawWriterEx writer)
                                           throws IgniteCheckedException

Process IN-OUT operation.

Overrides:
  `processInObjectStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `arg` - Argument.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processOutStream

    protected void processOutStream(int type,
                        BinaryRawWriterEx writer)
                             throws IgniteCheckedException

Process OUT operation.

Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### currentFuture

    protected IgniteFuture currentFuture()
                                  throws IgniteCheckedException

<inheritDoc />

Overrides:
  `currentFuture` in class `PlatformAbstractTarget`
Returns:
  current future.
Throws:
  `IgniteCheckedException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015